LayoutFactory (Groovy 5.0.0)

Package: groovy.swing.factory

## [Groovy] Class LayoutFactory

- groovy.swing.factory.LayoutFactory

-     class LayoutFactory
      extends BeanFactory

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `DEFAULT_DELEGATE_PROPERTY_CONSTRAINT` |
    `static String` | `DELEGATE_PROPERTY_CONSTRAINT` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class BeanFactory` | `leaf`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Object` | `contextProps`

  - Inherited properties
    Properties inherited from class | Properties
    --- | ---
    `class BeanFactory` | `beanClass`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `LayoutFactory(Class klass)`
    `LayoutFactory(Class klass, boolean leaf)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `addLayoutProperties(Object context, Class layoutClass)`
    `` | `void` | `addLayoutProperties(Object context)`
    `` | `static Object` | `constraintsAttributeDelegate(Object builder, Object node, Object attributes)`
    `` | `static Container` | `getLayoutTarget(Container parent)`
    `` | `Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`
    `` | `void` | `setParent(FactoryBuilderSupport builder, Object parent, Object child)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BeanFactory` | `isLeaf, newInstance`
    `class AbstractFactory` | `isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent`

- - ### Field Detail

    - #### public static final String DEFAULT_DELEGATE_PROPERTY_CONSTRAINT

    - #### public static final String DELEGATE_PROPERTY_CONSTRAINT

  - ### Property Detail

    - #### Object contextProps

  - ### Constructor Detail

    - #### LayoutFactory(Class klass)

    - #### LayoutFactory(Class klass, boolean leaf)

  - ### Method Detail

    - #### void addLayoutProperties(Object context, Class layoutClass)

    - #### void addLayoutProperties(Object context)

    - #### static Object constraintsAttributeDelegate(Object builder, Object node, Object attributes)

    - #### static Container getLayoutTarget(Container parent)

    - #### Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)

    - #### void setParent(FactoryBuilderSupport builder, Object parent, Object child)